{% extends "core/layout_app.html" %}

{% comment %}

Layout for active organization:
 - organization slice
 - navbar slice (nav1: my org, assessments, partners)

Blocks:
    after_logo
    nav_content
    nav_content_right
    content_slice

    Inherited:
        content

Context:


{% endcomment %}

{% load i18n %}
{% load extra_filters %}
{% load sekizai_tags %}
{% load rbac_permissions %}


{% block after_logo %}
    &nbsp;&nbsp;
    <a href="{% url "organization_list" %}" class="btn btn-default btn-small">
        <span class="{{ ICONS.back }}"></span>
        {% if organization.logo %}
            <span class="small-logo">
                <img class="" src="{{ organization.logo.url }}">
            </span>
        {% else %}
            <span class="{{ ICONS.organization }}"></span>
        {% endif %}
        {{ organization|truncate_chars:20|default:'' }}
    </a>
{% endblock %}


{% block nav_content %}
    <ul class="nav navbar-nav">
        {% if membership %}
            {% if layout_name == 'hzpc' or not organization.type == 'auditor' %}
            <li class="{% if 'home' in page_triggers %}active{% endif %}">
                <a href="{% url "home" membership.pk %}" class="icon-label"
                   rel="tooltip" title="{% trans "Home page" %}">
                    <span class="icon {{ ICONS.home }}"></span>
                    <span class="content">
                        {% trans 'Home' %}
                    </span>
                </a>
            </li>
            {% endif %}


            {% if layout_name != 'hzpc' or  GROWER in user_groups %}
            <li class="{% if "organization" in page_triggers and "my_docs_list" not in page_triggers %}active{% endif %}">
                <a href="{% url "my_org" membership.pk %}" id='profile-top-link' class="icon-label"
                   rel="tooltip" title="{% trans "Profile and organization settings" %}">
                    <span class="icon {{ ICONS.organization }}"></span>
                    <span class="content">
                        {% trans "Profile" %}
                    </span>
                </a>
            </li>

            {% if not organization.type == 'auditor' %}
            <li class="{% if "my_assessments" in page_triggers %}active{% endif %}">
                <a href="{% url "my_assessment_list" membership.pk %}" id='assessments-top-link' class="icon-label"
                   rel="tooltip" title="{% trans "Your organization's self assessments" %}"
                   data-placement="bottom">
                    <span class="icon {{ ICONS.assessment }}"></span>
                    <span class="content">
                        {% trans "Certification" %}
                    </span>
                </a>
            </li>
            {% endif %}

            <li class="{% if "my_docs_list" in page_triggers %}active{% endif %}">
                <a href="{% url "documents_index" membership.pk %}" id='archive-top-link' class="icon-label"
                   rel="tooltip" title="{% trans "Archive" %}">
                    <span class="icon {{ ICONS.document }}"></span>
                    <span class="content">
                        {% trans "Archive" %}
                    </span>
                </a>
            </li>

            {% endif %}

            {% if layout_name != 'hzpc' and organization.type == 'auditor' %}
            <li class="{% if "shared_assessments" in page_triggers %}active{% endif %}">
                <a href="{% url "shared_assessment_list" membership.pk %}" id='shared-assessments-top-link' class="icon-label"
                   rel="tooltip" title="{% trans "Assessments shared by other organizations" %}"
                   data-placement="bottom">
                    <span class="icon {{ ICONS.assessment }}"></span>
                    <span class="content">
                        {% trans "Shared assessments" %}
                    </span>
                </a>
            </li>
            {% endif %}
        {% endif %}

        {% user_has_permission user 'Read' 'RBAC control panel' 'n/a' as right %}
        {% if right %}
        <li class="{% if "rbac_control_panel" in page_triggers %}active{% endif %}">
            <a href="{% url "rbac_control_panel" %}" id='rbac-overview-top-link' class="icon-label"
               rel="tooltip" title="{% trans "RBAC control panel" %}"
               data-placement="bottom">
                <span class="icon {{ ICONS.controls }}"></span>
                <span class="content">
                    {% trans "RBAC" %}
                </span>
            </a>
        </li>
        {% endif %}

    {% comment %}
        <li class="{% if "partners" in page_triggers %}active{% endif %}">
            <a href="{% url "partners" organization.slug %}" class="icon-label"
               rel="tooltip" title="{% trans "Your organization's partner organizations and their shared data" %}">
                <span class="icon {{ ICONS.network }}"></span>
                <span class="content">
                    {% trans "Network" %}
                </span>
            </a>
        </li>
    {% endcomment %}
    </ul>
{% endblock %}

{% block nav_content_right %}
    <ul class="nav navbar-nav navbar-right">
    </ul>
{% endblock %}

{% block content_slice %}

    {{ block.super }}

{% endblock content_slice %}
